MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0027717Open CASCADE[OCCT] OCCT:Visualizationpublic2016-07-27 16:432016-12-09 16:40
Reporterkgv 
Assigned Tobugmaster 
PrioritynormalSeverityintegration request 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 7.0.0 
Target Version[OCCT] 7.1.0Fixed in Version[OCCT] 7.1.0 
Summary0027717: Visualization - drop broken Prs3d_Drawer::ShadingAspectGlobal() flag
DescriptionThe original meaning of flag Prs3d_Drawer::ShadingAspectGlobal() is confusing, and at the same time it is broken now since each Graphic3d_Group should define aspects.

Therefore, this flag should be removed.
Steps To ReproduceN/A
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships
child of 0026885closedbugmaster Visualization - drop redundant aspects from structure level 

-  Notes
(0056302)
git (administrator)
2016-07-30 15:58

Branch CR27717 has been created by kgv.

SHA-1: d86d2671d8f5fcfa8d8e9dd0d8aa293d53d3f59f


Detailed log of new commits:

Author: kgv
Date: Sat Jul 30 15:57:35 2016 +0300

    0027717: Visualization - drop broken Prs3d_Drawer::ShadingAspectGlobal() flag
(0056303)
kgv (developer)
2016-07-30 15:59

Path is ready for review in branches CR27717 for occt and Products.
(0056347)
git (administrator)
2016-08-01 18:04

Branch CR27717 has been updated forcibly by kgv.

SHA-1: 9aeb08f4eb976c20235f037ec997fceb9736d5ae
(0056348)
git (administrator)
2016-08-01 18:09

Branch CR27717 has been updated forcibly by san.

SHA-1: 5ed51a32568cc3d7c9e7421ed5d760f5514389bb
(0056349)
san (developer)
2016-08-01 18:13

Branch CR27717 reviewed without remarks in occt and occt-products repositories, ready for testing.
(0056398)
apv (tester)
2016-08-02 18:01

Dear BugMaster,

Branch CR27717 from occt git-repository (and CR27717 from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested.
SHA-1: 5ed51a32568cc3d7c9e7421ed5d760f5514389bb
SHA-1: af73d9b34072d15c74cde9e190f639dfd7a57f77

Number of compiler warnings:
occt component:
   Linux: 0 (0 on master)
   Windows: 0 (0 on master)
   MasOS: 0 (0 on master)
products component:
   Linux: 64
   Windows: 0
   MacOS: 1137

Regressions/Differences:
Not detected

Testing cases:
Not needed

Testing on Linux:
occt component:
Total MEMORY difference: 89367713 / 89397193 [-0.03%]
Total CPU difference: 18563.400000000092 / 18664.560000000092 [-0.54%]
products component:
Total MEMORY difference: 30094261 / 30089155 [+0.02%]
Total CPU difference: 5077.829999999978 / 5051.889999999972 [+0.51%]

Testing on Windows:
occt component:
Total MEMORY difference: 57075084 / 57093912 [-0.03%]
Total CPU difference: 18226.189633798833 / 18078.831089198848 [+0.82%]
products component:
Total MEMORY difference: 21263880 / 21230358 [+0.16%]
Total CPU difference: 4916.543116099959 / 4893.65776939995 [+0.47%]
(0057177)
git (administrator)
2016-08-26 16:25

Branch CR27717 has been deleted by inv.

SHA-1: 5ed51a32568cc3d7c9e7421ed5d760f5514389bb

- Related Changesets
occt: master 6887652a
Timestamp: 2016-08-01 15:10:55
Author: san
Committer: bugmaster
Details ] Diff ]
0027717: Visualization - drop broken Prs3d_Drawer::ShadingAspectGlobal() flag
mod - dox/dev_guides/upgrade/upgrade.md Diff ] File ]
mod - samples/mfc/standard/Common/User_Cylinder.cxx Diff ] File ]
mod - src/AIS/AIS_InteractiveContext.cxx Diff ] File ]
mod - src/AIS/AIS_Shape.cxx Diff ] File ]
mod - src/AIS/AIS_TexturedShape.cxx Diff ] File ]
mod - src/Prs3d/Prs3d_Drawer.cxx Diff ] File ]
mod - src/Prs3d/Prs3d_Drawer.hxx Diff ] File ]
mod - src/StdPrs/StdPrs_ShadedShape.cxx Diff ] File ]
mod - src/StdPrs/StdPrs_ShadedSurface.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2016-07-27 16:43 kgv New Issue
2016-07-27 16:43 kgv Assigned To => kgv
2016-07-27 16:43 kgv Product Version => 7.0.0
2016-07-27 16:43 kgv Target Version => 7.1.0
2016-07-27 16:44 kgv Relationship added child of 0026885
2016-07-30 15:58 git Note Added: 0056302
2016-07-30 15:59 kgv Note Added: 0056303
2016-07-30 15:59 kgv Assigned To kgv => san
2016-07-30 15:59 kgv Status new => resolved
2016-08-01 18:04 git Note Added: 0056347
2016-08-01 18:09 git Note Added: 0056348
2016-08-01 18:13 san Note Added: 0056349
2016-08-01 18:13 san Assigned To san => bugmaster
2016-08-01 18:13 san Status resolved => reviewed
2016-08-01 19:24 apv Assigned To bugmaster => apv
2016-08-02 16:59 apv Test case number => Not needed
2016-08-02 18:01 apv Note Added: 0056398
2016-08-02 18:01 apv Assigned To apv => bugmaster
2016-08-02 18:01 apv Status reviewed => tested
2016-08-05 13:30 bugmaster Changeset attached => occt master 6887652a
2016-08-05 13:30 bugmaster Status tested => verified
2016-08-05 13:30 bugmaster Resolution open => fixed
2016-08-26 16:25 git Note Added: 0057177
2016-12-09 16:29 user533 Status verified => closed
2016-12-09 16:40 user533 Fixed in Version => 7.1.0


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker